> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ビルドの固定を解除する（固定されていない場合は何もしません）

> org が現在 ``build_id`` にピン留めされている場合にのみ、org のピン留めを解除します。

org がこの build にピン留めされていない場合は、何も行いません（それでも 204 を返します）。

<div id="permissions">
  ## 権限
</div>

組織レベルの `ManageOrgSnapshots` 権限を持つサービスユーザーが必要です。

<div id="behavior">
  ## 動作
</div>

ビルドの固定を解除します。現在ビルドが固定されていない場合は、何も行いません。


## OpenAPI

````yaml ja/v3-openapi.yaml DELETE /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin:
    delete:
      tags:
        - snapshot_setup
      summary: ビルドの固定を解除する（固定されていない場合は何もしません）
      description: |-
        org が現在 ``build_id`` にピン留めされている場合にのみ、org のピン留めを解除します。

        org がこの build にピン留めされていない場合は、何も行いません（それでも 204 を返します）。
      operationId: >-
        unpin_org_build_v3beta1_organizations__org_id__snapshot_setup_builds__build_id__pin_delete
      parameters:
        - in: path
          name: build_id
          required: true
          schema:
            title: Build Id
            type: string
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '204':
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````